=== debian/changelog ===
nipy (0.3.0-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 04 Feb 2013 13:07:35 -0500

nipy (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - fixed up for the recent github changes
  * debian/rules
    - add scripts/ into PATH while testing and building documentation
    - generate manpages for the scripts

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 03 Feb 2013 11:36:54 -0500
