## nipy 0.3.0%2Bgit262-gbb838d7

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: nipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support (>= 0.6),
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5),
                python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
                python-sphinx (>= 0.6), cython,
                python-nibabel, python-nose, python-sympy (>= 0.6.6),
@@ -12,7 +11,7 @@
                python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
                graphviz, dvipng,
                help2man,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git
@@ -20,7 +19,7 @@
 
 Package: python-nipy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-scipy, python-numpy (>= 1:1.2),
          python-nibabel,
          python-nipy-lib (>= ${source:Version}),
@@ -46,7 +45,7 @@
 
 Package: python-nipy-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Analysis of structural and functional neuroimaging data
@@ -59,7 +58,7 @@
 Package: python-nipy-lib-dbg
 Architecture: any
 Section: debug
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-nipy-lib (= ${binary:Version})
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -74,7 +73,7 @@
 Package: python-nipy-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: python-nipy
 Description: documentation and examples for NiPy
  This package contains NiPy documentation in various formats (HTML,
