## nipy 0.3.0+git262-gbb838d7

=== debian/changelog ===
nipy (0.3.0+git262-gbb838d7-1) unstable; urgency=medium

  * New upstream snapshot from 0.3.0-261-ge34a388
  * debian/patches
    - deb_use_internal_ipythonsphinx_extensions -- dropped, upstream uses
      sphinx's copy now
  * debian/upstream moved into debian/upstream/metadata
  * debian/{control,rules}
    - use libjs-underscore for underscore.js

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Oct 2014 16:50:34 -0400

nipy (0.3.0-2) UNRELEASED; urgency=medium

  * debian/patches
    - deb_use_internal_ipythonsphinx_extensions to use sphinx-provided
      inheritance_diagram (Closes: #706532)
    - up_relax_assertion - relax assertion to almost_equal, permittable
      (Closes: #729594)
  * debian/{control,rules}
    - switch away from pysupport
    - policy boost to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Oct 2014 08:30:13 -0400
