=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # Mega rule
 %:
-	dh --buildsystem=python_distutils $@
+	dh --buildsystem=python_distutils --with=python2 $@
 
 override_dh_auto_test:
     : # Do not test just after build, lets install and then test
@@ -82,6 +82,7 @@
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi
 
 	dh_install
+	-rm debian/python-nipy-doc/usr/share/javascript/underscore/underscore.js
 
 
 ## immediately useable documentation and exemplar scripts/data
