=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5),
                python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
@@ -19,7 +20,7 @@
 
 Package: python-nipy
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-scipy, python-numpy (>= 1:1.2),
          python-nibabel,
          python-nipy-lib (>= ${source:Version}),
@@ -45,7 +46,7 @@
 
 Package: python-nipy-lib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Analysis of structural and functional neuroimaging data
@@ -58,7 +59,7 @@
 Package: python-nipy-lib-dbg
 Architecture: any
 Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-nipy-lib (= ${binary:Version})
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -73,7 +74,7 @@
 Package: python-nipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: python-nipy
 Description: documentation and examples for NiPy
  This package contains NiPy documentation in various formats (HTML,
