=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # Makefile for Sphinx documentation
 #
 
-SF_USER ?= matthewbrett
 DIST_DIR = dist
 
 # You can set these variables from the command line.
@@ -14,7 +13,7 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean pdf all dist public_html web web_public htmlonly api html pickle htmlhelp latex changes linkcheck doctest
+.PHONY: help clean pdf all dist htmlonly api html pickle htmlhelp latex changes linkcheck doctest
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -30,9 +29,6 @@
 	@echo "  doctest   	run doctests in reST files"
 	@echo "  pdf		make <latex> and run the PDF generation"
 	@echo "  dist		make <all> and put results in $DIST_DIR/"
-	@echo "  public_html	make <dist> and rsync with public website"
-	@echo "  upload-stable-web	make <dist> and rsync with public stable website"
-	@echo "  upload-devel-web	make <dist> and rsync with public devel website"
 	@echo "  gitwash-update	update git workflow from source repo"
 
 # Commented these out, wasn't clear if we'd use these targets or not.
@@ -55,24 +51,6 @@
 	cp -a build/html/* $(DIST_DIR)
 	@echo "Build finished.  Final docs are in $(DIST_DIR)"
 
-# This one udates for the specific user named at the top of the makefile
-upload-stable-web: upload-stable-web-$(SF_USER)
-
-# This one updates according to passed user e.g
-# make upload-stable-web-my_own_sf_user
-upload-stable-web-%: dist
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(DIST_DIR)/* \
-		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nipy/stable
-
-# This one udates for the specific user named at the top of the makefile
-upload-devel-web: upload-devel-web-$(SF_USER)
-
-# This one updates according to passed user e.g
-# make upload-devel-web-my_own_sf_user
-upload-devel-web-%: dist
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(DIST_DIR)/* \
-		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nipy/devel
-
 htmlonly:
 	mkdir -p build/html build/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
@@ -91,7 +69,7 @@
 	python ../tools/gitwash_dumper.py devel/guidelines nipy \
 		--github-user=nipy \
 		--project-url=http://nipy.org/nipy \
-		--project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
+		--project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging
 
 pickle:
 	mkdir -p build/pickle build/doctrees
@@ -136,4 +114,3 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
 	@echo
 	@echo "The overview file is in build/doctest."
-
