=== debian/changelog ===
nipy (0.4.1-2~nd12.04+1) precise; urgency=medium

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 18 Dec 2017 15:09:40 -0500

nipy (0.4.1-2) unstable; urgency=medium

  * Boost statement of policy compliance to 4.1.2
  * Boost debhelper compat from 7 to 9 
    - $@ should come before the options (like --buildsystem=python_distutils)
  * debian/patches
    - picked up few patches from upstream to avoid infinite recursion in sympy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Dec 2017 10:01:44 -0500

nipy (0.4.1-1) unstable; urgency=medium

  * Fresh upstream release
    - should resolve some failing tests (Closes: #848745)
    - dropping absorbed changeset* patches

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Jul 2017 21:20:58 -0400
