=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5),
+Build-Depends: debhelper (>=9), python-all-dev (>= 2.5),
                python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
                python-sphinx (>= 0.6), cython,
                python-nibabel, python-nose, python-sympy (>= 0.6.6),
@@ -12,7 +12,7 @@
                python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
                graphviz, dvipng,
                help2man,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git
