=== debian/changelog ===
nipy (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Med team maintenance
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Use default git repository layout so debian/gbp.conf can be deleted
  * Revert debhelper-compat 12 to 10 since Neurodebian maintainers
    need this for backports

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 21:34:18 +0100

nipy (0.4.2-2.1) experimental; urgency=medium

  [ Stuart Prescott ]
  * Non-maintainer upload.
  * Finish off Python 3 packaging work (Closes: #937143).
  * Add Rules-Requires-Root: no.
  * Update to debhelper-compat (= 12).
  * Use packaged mathjax for documentation.
  * Make building robust to multiple threads.
  * Update Standards-Version to 4.5.0 (no changes required).

  [ Andreas Tille ]
  * Team upload.
  * Point Vcs fields to Salsa
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Do not parse d/changelog
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * remove outdated debian/pycompat
  * Use pybuild

  [ Michael R. Crusoe ]
  * Switch to Python 3 only package.

 -- Stuart Prescott <stuart@debian.org>  Fri, 31 Jan 2020 18:09:16 +1100

nipy (0.4.2-2) unstable; urgency=medium

  * Cherry picked a number of fixes from upstream/PRs to become a part of the
    next release (Closes: #906388)
  * debian/control
    - fixed up Vcs fields to point to salsa

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jan 2019 11:05:31 -0500

nipy (0.4.2-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - dropped changesets - upstreamed
    - deb_no_ipython_console_highlight for now to not require that sphinx
      extension

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Feb 2018 11:06:56 -0500
