=== debian/control ===
Source: nipy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-scipy,
               python3-numpy,
               python3-matplotlib,
               python3-sphinx,
               cython3,
               python3-numpydoc,
               python3-nibabel,
               python3-nose,
               python3-sympy,
               liblapack-dev,
               python3-all-dbg,
               python3-numpy-dbg,
               python3-scipy-dbg,
               cython3-dbg,
               graphviz,
               dvipng,
               help2man
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/nipy
Vcs-Git: https://salsa.debian.org/med-team/nipy.git
Homepage: http://neuroimaging.scipy.org
Rules-Requires-Root: no

Package: python3-nipy
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-scipy,
         python3-numpy,
         python3-nibabel,
         python3-nipy-lib (>= ${source:Version})
Recommends: python3-matplotlib,
            mayavi2,
            python3-sympy
Suggests: python3-mvpa
Breaks: python-nipy
Replaces: python-nipy
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.  It provides functionality for
  - General linear model (GLM) statistical analysis
  - Combined slice time correction and motion correction
  - General image registration routines with flexible cost functions,
    optimizers and re-sampling schemes
  - Image segmentation
  - Basic visualization of results in 2D and 3D
  - Basic time series diagnostics
  - Clustering and activation pattern analysis across subjects
  - Reproducibility analysis for group studies

Package: python3-nipy-lib
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Analysis of structural and functional neuroimaging data (compiled modules)
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides architecture-dependent builds of the libraries.

Package: python3-nipy-lib-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-nipy-lib (= ${binary:Version})
Description: Analysis of structural and functional neuroimaging data (debug symbols)
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides debugging symbols for architecture-dependent
 builds of the libraries.

Package: python-nipy-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-nipy
Description: documentation and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation
