=== debian/changelog ===
nipy (0.4.3~rc1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Resolve nipy autopkgtest failure due to numpy testing decorators
    Closes: #959138
  * Fix homepage (thanks to Drew Parsons)
    Closes: #961846
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)
  * Do not force maintainers to install Build-Depends on local machine

  [ Yaroslav Halchenko ]
  * debian/patches
    + 0001-BF-avoid-relying-on-Pythonic-casting-of-bool-into-nu.patch
      for compatibility with sympy >= 1.6
  * debian/rules
    - exclude  test_interpolator test for now, failing, reported upstream
      https://github.com/nipy/nipy/issues/468
      due to scipy jump from 1.5.4-1+b1 to 1.6.0-2
    - exclude  resample_outvalue for now, reported upstream
      https://github.com/nipy/nipy/issues/471

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 20 Feb 2021 02:57:19 -0500
