=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
@@ -26,10 +26,10 @@
                graphviz,
                dvipng,
                help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/nipy
 Vcs-Git: https://salsa.debian.org/med-team/nipy.git
-Homepage: http://neuroimaging.scipy.org
+Homepage: https://nipy.org/nipy/
 Rules-Requires-Root: no
 
 Package: python3-nipy
