=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
      PATH=$(wildcard $(CURDIR)/build/scripts*$(PYVER)):$$PATH \
 	  PYTHONPATH=$(shell pybuild --print build_dir --interpreter python$(PYVER)):$$PYTHONPATH \
      MPLCONFIGDIR=$(CURDIR)/build \
-	  ../tools/nipnost nipy
+	  ../tools/nipnost -e '(test_(interpolator|resample_outvalue))' nipy
 else
 	: # Skip unittests due to nocheck
 endif
@@ -100,5 +100,9 @@
 	$(MAKE) -C doc clean
 	dh_clean
 
+override_dh_auto_clean:
+	# Do not force maintainers to install Build-Depends on local machine
+	dh_auto_clean || rm -rf __pycache__ .pybuild
+
 override_dh_strip:
 	dh_strip -ppython3-nipy-lib --dbg-package=python3-nipy-lib-dbg
