=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4
opts="uversionmangle=s/rc/~rc/, filenamemangle=s/.*\/(.*)/nipy-$1/" \
  https://github.com/nipy/nipy/tags .*archive/(\d[\d\.a-z]+)\.tar\.gz
